﻿using System.Diagnostics;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 플리퍼 플립 변경시 처리하기 - flipper_IsFlippedChanged(sender, e)

        /// <summary>
        /// 플리퍼 플립 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void flipper_IsFlippedChanged(object sender, RoutedPropertyChangedEventArgs<bool> e)
            => Debug.WriteLine($"Card is flipped = {e.NewValue}");

        #endregion
    }
}